**`AKASH YELLAPPA`[NAME]** -NL- 8021 Chelton Ln C Cincinnati OH 45249 -NL- **`akashyk@gmail.com`[EMAILS_EMAIL]** | **`573-308-2087`[PHONES_PHONE]**| linkedin.com/in/akashyellappa -NL- -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- -NL- Over eleven years of experience as a Senior Software consultant with expertise in conceptualizing, modeling and -NL- building full stack Enterprise applications and software solutions using latest platforms and frameworks in the -NL- industry. Goal oriented, results focused and demonstrated leadership in driving teams globally. Perfect amalgamation -NL- of technical expertise and project management skills with customers focus and increasing the operational efficiency -NL- of the business. Experience in building Cloud Infrastructure with the ability to host applications on a highly -NL- available, scalable and manageable environment. A Certified scrum master and a strong advocate of AGILE -NL- methodology. Excellent communication and interpersonal skills with an ability to adapt easily to new environments. -NL- Willingness to roll up your sleeves and do whatever is necessary with an ownership mentality and an entrepreneurial -NL- drive. -NL- **`WORK EXPERIENCE:`[WORK_EXPERIENCE_HEADING]** -NL- **`KROGER TECHNOLOGIES`[EMPLOYER_COMPANY_NAME]**, **`LEAD CONSULTANT ARCHITECT `[EMPLOYER_ROLE]**-NL- FEB-2019 – PRESENT -NL- ▪ Build Proof of Technology and present business benefits to Client partners and Sr Management -NL- ▪ Work with stakeholders draw business strategies, review cost-benefits and prioritize features into project roadmap -NL- ▪ Architect cloud solutions, promoter of scalability and reliability using Cloud services -NL- ▪ Create and manage Functional and Technical Documentation, project plan and decide milestones -NL- ▪ Work as a trusted advisor to product stake-holders, recommend technical solutions to complex business requirements -NL- ▪ Key promoter of Scrum Framework – run standups, Devops for project planning, tracking issues -NL- ▪ Collaborate with cross functional teams, translate product use cases to industry-leading design -NL- ▪ Conduct end client user training sessions and gather feedback to enhance the product and reduce the pain points -NL- ▪ Lead the effort by providing technical guidance, mentoring junior resource, build and groom team -NL- ▪ Analyze application Performance, create visualizations, Graphs, Data Tables and Pie charts using ELK Stack -NL- **`MASTERCARD INC`[EMPLOYER_COMPANY_NAME]**. **`CONSULTANT ARCHITECT`[EMPLOYER_ROLE]** -NL- JUN-2018 – FEB-2019 -NL- ▪ Build Cloud infrastructure using AWS technologies and migrate in-house applications to AWS -NL- ▪ Formalize strategic plans for product development, ease the development process using best practices -NL- ▪ Collaborate with cross functional teams, translate product use cases to industry-leading design implementations -NL- ▪ Build POCs and present the technical and business benefits to Client partners and Sr Management -NL- ▪ Prepare Technical Documentation, Functional specs and utilizing enterprise standards, extend training sessions -NL- ▪ Conduct end user training sessions and gather feedback to enhance the product and reduce the pain points -NL- ▪ Implement technical solutions by applying Object Oriented Design Principles and standard design patterns -NL- ▪ Lead onsite team comprising of developers and QA, manage offshore teams and coordinate with global teams -NL- ▪ Build Jenkins pipelines for continuous build/integration, trigger build, test and deploy on configured server -NL- ▪ Ensure continuous code inspection leveraging SonarQube by enforcing certain high code coverage metrics -NL- **`MCGRAW HILL`[EMPLOYER_COMPANY_NAME]** – LOS ANGELES - **`SR SOFTWARE ENGINEER `[EMPLOYER_ROLE]**-NL- DEC-2016 – MAY 2018 -NL- ▪ Breakdown requirements into user stories, product backlogs grooming and manage deliverables -NL- ▪ Developed SPA web application components in Angular TS, validations directives, pipes, HTML5, SASS -NL- ▪ Implemented a spreadsheet application, design decision to do pagination vs dynamic loading for large row sets -NL- ▪ Process client requirements - prepare project specifications and provide service for real time failures -NL- ▪ Full-Stack developer, wrote backend business logic, enhanced the web application and migrated them to AWS -NL- ▪ Collaborated with external teams, co-developed RESTful APIs for the angular app using PHP, MySql - backend -NL- ▪ Responsible for complete development cycle, regression tests, code coverage, UAT and maintenance -NL- ▪ Build and maintain tools to support delivery and integration of code artifacts using docker -NL- ▪ Provided guidance and mentored the junior team, enforced test coverage and unit tests, best practices -NL- **`CREDIT KARMA`[EMPLOYER_COMPANY_NAME]**, SAN FRANCISCO CA – **`SR SOFTWARE ENGINEER`[EMPLOYER_ROLE]** -NL- JULY-2014 – DEC 2016 -NL- ▪ Architected and developed integrated APIs to manage communications with new credit bureau - Equifax -NL- ▪ SME for all Equifax APIs, managed all communications with the bureau from the product perspective -NL- ▪ Established continuous integration, unit tests, code coverage, deployment process plan periodic releases -NL- ▪ Wrote series of Go-lang ETLs workflows from MySQL-Vertica, designed DB schema, efficient queries -NL- ▪ Architected a major DB design change, moved from joins and queries to raw file & object persistence -NL- ▪ Monitored performance metrics of applications in production through Splunk, dashboards and graphs -NL- ▪ Performed code reviews, enforced code coverage and minimum unit test requirements and git hooks -NL- ▪ Developed docker images for microservices, Jenkins for continuous integration and Continuous delivery -NL- **`JP MORGAN & CHASE`[EMPLOYER_COMPANY_NAME]**, NEWARK DE - **`ASSOCIATE SOFTWARE DEVELOPER `[EMPLOYER_ROLE]**-NL- APR-2013 – JUL-2014 -NL- ▪ Developed JAVA components for unified securities settlement platform SCPP Evo platform 2.0 -NL- ▪ Developed Web Applications on MVC architecture (Spring 2.5), efficient SQLs for data retrieval -NL- ▪ Architect/design to decouple complex legacy systems, merge code bases for effective code reuse -NL- ▪ Work on Kanban items involving disparate codebase and resolve issues in short turnaround time -NL- ▪ Wrote extensive Perl/Shell/Regex scripts for files transforming doing native ETL with Sybase DB -NL- ▪ Performed code reviews. Tweak PL/SQL for performance. Write integration tests and release management -NL- ▪ Certified ScrumMaster(Craig Larman) - team contributor, emphasize on being agile in daily activities -NL- **`GOLDMAN SACHS`[EMPLOYER_COMPANY_NAME]**, NEW JERSEY - **`ANALYST DEVELOPER `[EMPLOYER_ROLE]**-NL- SEPT-2011 – MAR-2013 -NL- ▪ Developed financial risk assessment tool which processed large financial data and generate reports -NL- ▪ Managed offshore teams, technical guidance and transfer product knowledge for continuous development -NL- ▪ Analyzed large data sets, implemented data reconciliation and effective storage & retrieval strategies -NL- ▪ Explored data rendering techniques and UI grid integration to provide comprehensive excel like application -NL- ▪ Implemented a feed watcher and uploader, a highly configurable and scalable solution for variant feeds -NL- **`VICOR CORPORATION`[EMPLOYER_COMPANY_NAME]**, ANDOVER, MA - **`ASSOCIATE SOFTWARE DEVELOPER`[EMPLOYER_ROLE]** OCT-2010 – SEPT-2011 -NL- ▪ Developed multi-threaded JAVA standalone app triggered by webStart to enhance the Mfg process -NL- ▪ Wrote new java components, interacting with barcode readers and performed realtime product validation -NL- ▪ Enhanced productivity by making the application multithreaded, accepting more pallets on the conveyer -NL- ▪ Designed and developed Java web app to, wrote web services (WSDL), Junit4, Mvn, JAXP -NL- **`GOLDMAN SACHS`[EMPLOYER_COMPANY_NAME]**, NEW JERSEY, COOP **`INTERN`[EMPLOYER_ROLE]** -NL- JUL-2008 – DEC-2008 -NL- ▪ Revamped team build architecture using Maven (Build), Hudson (Continuous Integration) and Hikari V4 -NL- ▪ Designed and implemented RESTful Web Service for data exchange using Java web technologies -NL- ▪ Wrote PERL scripts which operated on the feed files for verifying their validity before being consumed -NL- **`WIPRO TECHNOLOGIES`[EMPLOYER_COMPANY_NAME]**, BANGALORE, INDIA - **`PROJECT ENGINEER `[EMPLOYER_ROLE]**-NL- AUG-2005 – JUL-2007 -NL- ▪ Isolated failures to faulty replaceable units and/or software modules through thorough diagnosis -NL- ▪ Gathered incident reports, crash dumps, performed failure condition simulation for diagnosis -NL- ▪ Solved critical problems including crashes during firmware upgrade and performed periodic release -NL- -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- -NL- **`SKILLS:`[SKILLS_HEADING]** -NL- Product development, Leadership, Service Oriented Architecture, Cloud Infrastructure -NL- LANGUAGES : Java, PHP, Angular TS, JavaScript, SQL, Shell scripting -NL- TECHNOLOGIES : EC2, VPC, BeanStalk, RDS, CloudWatch, ES, SQL, GIT, Perl, Shell, Docker -NL- Framework : Springboot, Spring Integration, Maven, Hibernate -NL- CI/CD : JENKINS, TeamCity -NL- Database : MySQL, Sequel Server 2010, Oracle 11g, IBM DB2 -NL- Messaging : JMS, IBM Message Sight, RabbitMQ -NL- -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- -NL- **`EDUCATION:`[EDUCATION_HEADING]** -NL- **`NORTHEASTERN UNIVERSITY`[EDUCATION_INSTITUTE]**, BOSTON, MA **`Masters`[EDUCATION_DEGREE]** Degree in **`Computer Science`[EDUCATION_COURSE]** -NL- May 2010 -NL- **`RV COLLEGE OF ENG`[EDUCATION_INSTITUTE]**, INDIA **`Bachelors Degree`[EDUCATION_DEGREE]** in **`Computer Science & Engineering`[EDUCATION_COURSE]** -NL- June 2005 -NL- 